summaryrefslogtreecommitdiffstats
path: root/ms-sys
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-07-26 20:28:52 +0000
committer Eric Hameleers <alien@slackware.com>2007-07-26 20:28:52 +0000
commit68425b06654ff8f70da896e736c355c7fa5395ef (patch)
tree9a664ce7d7d0867c393663ba7a9ee8c8d1135e7d /ms-sys
parent789003f6e33d7ecdbd41e74d4de96afa5a817c17 (diff)
downloadasb-68425b06654ff8f70da896e736c355c7fa5395ef.tar.gz
asb-68425b06654ff8f70da896e736c355c7fa5395ef.tar.xz
Initial revision
Diffstat (limited to 'ms-sys')
-rwxr-xr-xms-sys/build/ms-sys.SlackBuild230
-rw-r--r--ms-sys/build/slack-desc19
2 files changed, 249 insertions, 0 deletions
diff --git a/ms-sys/build/ms-sys.SlackBuild b/ms-sys/build/ms-sys.SlackBuild
new file mode 100755
index 00000000..ee6e9a12
--- /dev/null
+++ b/ms-sys/build/ms-sys.SlackBuild
@@ -0,0 +1,230 @@
+#!/bin/sh
+# $Id$
+# Copyright (c) 2006 Eric Hameleers <alien@slackware.com>
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: ms-sys
+# Descr: program for writing Microsoft compatible boot records
+# URL: http://ms-sys.sourceforge.net/
+# Needs:
+# Changelog:
+# 2.1.1-1: 24/Sep/2006 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+#
+# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+
+PRGNAM=ms-sys
+VERSION=${VERSION:-2.1.1}
+ARCH=${ARCH:-i486}
+BUILD=1
+
+# Where do we look for sources?
+CWD=`pwd`
+SRCDIR=`dirname $0`
+[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+
+# Place to build (TMP) and package (PKG) the program:
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+# Exit the script on errors:
+set -e
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+
+# This covers most filenames you'd want as documentation. Change if needed.
+DOCS="CHANGELOG CONTRIBUTORS COPYING README TODO"
+
+SOURCE="${PRGNAM}-${VERSION}.tgz"
+SRCURL="http://dl.sourceforge.net/sourceforge/${PRGNAM}/${PRGNAM}-${VERSION}.tgz"
+
+##
+## --- with a little luck, you won't have to edit below this point --- ##
+##
+
+# Slackware 11 and up need other option (gcc > 3.3.x)
+if [ `gcc -dumpversion | tr -d '.' |cut -c 1-2` -gt 33 ]; then
+ MOPT=tune
+else
+ MOPT=cpu
+fi
+
+case "$ARCH" in
+ i386) SLKCFLAGS="-O2 -march=i386 -m${MOPT}=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ i486) SLKCFLAGS="-O2 -march=i486 -m${MOPT}=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ s390) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ powerpc) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ x86_64) SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+ ;;
+ athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+esac
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+elif [ "$P1" != "--oldbuild" ]; then
+ # If the "--oldbuild" parameter is present, we keep
+ # the old build files and continue;
+ # By default we remove the remnants of previous build and continue:
+ rm -rf $TMP/tmp-$PRGNAM/*
+fi
+
+
+# --- SOURCE FILE AVAILABILITY ---
+
+if ! [ -f ${SRCDIR}/${SOURCE} ]; then
+ if ! [ "x${SRCURL}" == "x" ]; then
+ echo "Source '${SOURCE}' not available yet... will download now:"
+ wget -nv -O "${SRCDIR}/${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 ]; then
+ echo "Downloading '${SOURCE}' failed... aborting the build."
+ mv -f "${SRCDIR}/${SOURCE}" "${SRCDIR}/${SOURCE}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '${SOURCE}' not available... aborting the build."
+ exit 1
+ fi
+fi
+
+if [ "$P1" == "--download" ]; then
+ echo "Download complete."
+ exit 0
+fi
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+else
+ rm -rf $PKG/* # We always erase old package's contents:
+fi
+
+cd $PKG
+
+# Explode the package framework:
+if [ -f $SRCDIR/_$PRGNAM.tar.gz ]; then
+ explodepkg $SRCDIR/_$PRGNAM.tar.gz
+fi
+
+cd $TMP/tmp-$PRGNAM
+
+
+# --- TARBALL EXTRACTION,PATCH,MODIFY ---
+
+echo "Extracting the source archive(s) for $PRGNAM..."
+if `file $SRCDIR/${SOURCE} | grep -q ": bzip2"`; then
+ tar -xjvf $SRCDIR/${SOURCE} || true
+elif `file $SRCDIR/${SOURCE} | grep -qi ": zip"`; then
+ unzip $SRCDIR/${SOURCE} || true
+elif `file $SRCDIR/${SOURCE} | grep -qi ": 7-zip"`; then
+ 7za -x $SRCDIR/${SOURCE} || true
+else
+ tar -xzvf $SRCDIR/${SOURCE} || true
+fi
+if [ $? -ne 0 ]; then
+ echo "Error in unpacking '${SOURCE}!' Aborting..."
+ exit $?
+fi
+cd ${PRGNAM}-${VERSION}
+
+chown -R root.root *
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+LDFLAGS="$SLKLDFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+make PREFIX=/usr 2>&1 | tee $CWD/make-${PRGNAM}.log
+
+#
+# Install all the needed stuff to the package dir
+#
+mkdir -p $PKG/usr/{bin,man,share}
+# Use installwatch if available:
+if `which installwatch > /dev/null 2>&1`; then
+ installwatch -o $CWD/install-${PRGNAM}.log make PREFIX=$PKG/usr install
+else
+ make PREFIX=$PKG/usr install 2>&1 |tee $CWD/install-${PRGNAM}.log
+fi
+
+
+# --- DOCUMENTATION ---
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+[ -d $PKG/usr/man ] && \
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $SRCDIR/slack-desc > $PKG/install/slack-desc
+if [ -f $SRCDIR/doinst.sh ]; then
+ cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
+ 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
+(cd $TMP && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$P1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi
diff --git a/ms-sys/build/slack-desc b/ms-sys/build/slack-desc
new file mode 100644
index 00000000..4cd3c929
--- /dev/null
+++ b/ms-sys/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ms-sys: ms-sys (program for writing Microsoft compatible boot records)
+ms-sys:
+ms-sys:
+ms-sys:
+ms-sys:
+ms-sys:
+ms-sys:
+ms-sys:
+ms-sys:
+ms-sys: ms-sys home: http://ms-sys.sourceforge.net/
+ms-sys: